<?php
require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/head.php');
require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/sidebar-eleve.php');
//require($_SERVER['DOCUMENT_ROOT'].dirname($_SERVER["PHP_SELF"]).'/submenu.inc.php');
?>

	<ul class="tabs" style="display:none">
	  <li><a href="#1">Menu</a></li>
	  <li><a href="#2">Planning perso</a></li>
	  <li><a href="#3">Plannings télechargeables</a></li>
	  <li><a href="#4">Résultats</a></li>
	  <li><a href="#5">Règlement</a></li>
	</ul>
	 
	<div class="panes">

<!-- 1 * MENU-->
		<div>
			<div class="tab-content submenu">
				<div class="bloc bloc-img-1x2" style="background:url(/espace_personnel/images/examens.jpg)" alt="Examens"></div>
				<a class="bloc bloc-small bg-light" href="#2"><p><span>Mon planning<br>d'examens personnalisé</span></p></a>
				<a class="bloc bloc-small bg-light" href="#3"><p><span>Les plannings<br>d'examens en</br>version téléchargeable</span></p></a>
				<a class="bloc bloc-small bg-light" href="#4"><p><span>L'historique de<br>mes résultats</span></p></a>
				<a class="bloc bloc-small bg-light" href="#5"><p><span>Le règlement<br>des examens</span></p></a>
				<span class="smaller">Pour toute information sur les examens contactez le service scolarité à l'adresse suivante :<br><a href="mailto:scolarite@cnam.re">scolarite@cnam.re</a></span>
			</div>
		</div>
		

<!-- 2 * PLANNING PERSO-->

		<div>
		<?php require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/back-button.php'); ?>
		<div class="alert align-center"><span class="smaller">Le planning des examens est connu avec exactitude environ 2 mois avant le démarrage des épreuves.</span></div>
			<div class="tab-content">
			<p class="liste">
				<img src="/site/img/css/icones/pdf_gray.png" alt="PDF"/>
				Convocation examens<br>(non disponible)
			</p>
			<?php
			// =======
			// EXAMENS
			// =======
			// /site/docs/plannings/examens/general_session_2.xls
			//$date_maj_examen_session_1 = date('d/m/Y',strtotime(param('date_maj_planning_examen_session_1')));

			// /site/docs/plannings/examens/general_session_2.xls
			//$date_maj_examen_session_2 = date('d/m/Y',strtotime(param('date_maj_planning_examen_session_2')));



			$sql_planning_examen_session_1				= dbquery("SELECT * FROM planning_date_maj WHERE type = 'examen_session_1' AND actif='1'");
			$sql_planning_examen_session_2				= dbquery("SELECT * FROM planning_date_maj WHERE type = 'examen_session_2' AND actif='1'");
			$sql_planning_examen_ICH_cycle_preparatoire	= dbquery("SELECT * FROM planning_date_maj WHERE type = 'examen_ICH_cycle_preparatoire' AND actif='1'");
			$sql_planning_examen_ICH_cycle_normal		= dbquery("SELECT * FROM planning_date_maj WHERE type = 'examen_ICH_cycle_normal' AND actif='1'");

			if (dbnumrows($sql_planning_examen_session_1) > 0)	$date_maj_examen_session_1	= date('d/m/Y',strtotime(dbresult($sql_planning_examen_session_1,0,"date_maj")));
			if (dbnumrows($sql_planning_examen_session_2) > 0)	$date_maj_examen_session_2	= date('d/m/Y',strtotime(dbresult($sql_planning_examen_session_2,0,"date_maj")));




			// /site/docs/plannings/examens/ICH_preparatoire.xls
			$file_ich_preparatoire = '/site/docs/plannings/examens/ICH_preparatoire.xls';
			if (file_exists($_SERVER['DOCUMENT_ROOT'].$file_ich_preparatoire))
				$date_maj_ich_preparatoire = date ("d/m/Y", filemtime($_SERVER['DOCUMENT_ROOT'].$file_ich_preparatoire));

			// /site/docs/plannings/examens/ICH_preparatoire.xls
			$file_ich = '/site/docs/plannings/examens/ICH.xls';
			if (file_exists($_SERVER['DOCUMENT_ROOT'].$file_ich))
				$date_maj_ich = date ("d/m/Y", filemtime($_SERVER['DOCUMENT_ROOT'].$file_ich));



			// AUDITEUR 
			$sql_auditeur = dbquery("SELECT * FROM auditeurs_diplomes WHERE id='".$_SESSION["user"]["id"]."' AND annee_universitaire='".$annee_universitaire."' "); // provisoire

			$_id_auditeur = Array();

			for($i=0;$i<dbnumrows($sql_auditeur);$i++){
				$id						= dbresult_utf8($sql_auditeur,$i,"id_auditeur");
				$id_diplome				= dbresult_utf8($sql_auditeur,$i,"id_diplome");
				$date_inscription[$id]	= dbresult_utf8($sql_auditeur,$i,"date_inscription");

				$_id_auditeur[$id]=$id_diplome;
			}

			// PLANNING
			//echo "<br><h2>Planning personnalisé ".$annee_universitaire."</h2>";

			if(dbnumrows($sql_auditeur)==0){
				echo "Aucun examen prévu";
			}
			else{
				foreach($_id_auditeur as $key => $value){
					
				// diplomes
					$sql_diplome = dbquery("SELECT * FROM diplomes WHERE id_diplome = '".$value."' ");
					
					$titre		= dbresult_utf8($sql_diplome,0,"titre");
					$specialite	= dbresult_utf8($sql_diplome,0,"specialite");
					
					if($value == 2001 )		$titre = "Unités d'enseignement hors diplômes";

					echo '
						<h2>'.$titre.'&nbsp&nbsp&nbsp<span class="red">'.$specialite.'</span></h2>
						<span class="smaller">Numéro d\'auditeur : </span>
						<span class="smaller red">'.$key.'</span>
						&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp 
						<span class="smaller">Date d\'inscription : '.date_iso_fr($date_inscription[$key]).'</span>
						<br><br>
						<table>
							<tr>
								<th class="align-left">Unités d\'enseignement</th>
								<th>Session 1</th>
								<th>Session 2</th>
								<th>Type d\'examens</th>
							</tr>
					';
					
				// ue
					$sql_ue = dbquery("SELECT * FROM auditeurs_ue,ue,ue_annee_universitaire 
										WHERE	auditeurs_ue.id_auditeur = '".$key."'
										AND		auditeurs_ue.id_ue = ue.id_ue
										GROUP BY ue.id_ue
							");
					
					//echo "nb ue : ".dbnumrows($sql_ue);

					for($i=0;$i<dbnumrows($sql_ue);$i++){
						$id_ue			= dbresult_utf8($sql_ue,$i,"id_ue");
						$intitule		= dbresult_utf8($sql_ue,$i,"intitule");
						
						$sql_ue_infos = dbquery("SELECT * FROM ue_annee_universitaire WHERE id_ue = '".$id_ue."' AND annee_universitaire = '".$annee_universitaire."' ");
									
						if (dbnumrows($sql_ue_infos) > 0)
						{
							$examen_session1	= dbresult_utf8($sql_ue_infos,0,"calendrier_examen_session_1");
							$examen_session2	= dbresult_utf8($sql_ue_infos,0,"calendrier_examen_session_2");
							$examen_table		= dbresult_utf8($sql_ue_infos,0,"examen_epreuve_sur_table");
							$examen_oral		= dbresult_utf8($sql_ue_infos,0,"examen_epreuve_orale");
							$examen_dossier		= dbresult_utf8($sql_ue_infos,0,"examen_dossier_a_rendre");
						}
				

				// DETECTION SI DATE PRECISE DE L'EXAMEN ARRETEE

						// session 1

						$sql_ue_examens	= dbquery("SELECT * FROM examens_auditeur WHERE id_ue = '".$id_ue."' AND id_auditeur ='".$key."' AND session=1");
								
						if (dbnumrows($sql_ue_examens)>0)
						{
							$date			= dbresult_utf8($sql_ue_examens,0,"date");
							$heure_debut	= dbresult_utf8($sql_ue_examens,0,"heure_debut");
							$heure_fin		= dbresult_utf8($sql_ue_examens,0,"heure_fin");		
							$examen_session1 = "Le ".date_iso_fr($date)." de ".$heure_debut." au ".$heure_fin;
						}
						
						// session 2

						$sql_ue_examens	= dbquery("SELECT * FROM examens_auditeur WHERE id_ue = '".$id_ue."' AND id_auditeur ='".$key."' AND session=2");
								
						if (dbnumrows($sql_ue_examens)>0)
						{
							$date			= dbresult_utf8($sql_ue_examens,0,"date");
							$heure_debut	= dbresult_utf8($sql_ue_examens,0,"heure_debut");
							$heure_fin		= dbresult_utf8($sql_ue_examens,0,"heure_fin");		
							$examen_session2 = "Le ".date_iso_fr($date)." de ".$heure_debut." au ".$heure_fin;
						}

						
						
						// MISE EN FORME

							// DATE EXAMENS //////////////////////////////////////////////////////////////////////////////////////////
					
								// Session 1

								if($examen_session1<>"")
								{
									$dates_examen_session1			= explode("-",$examen_session1);
									$dates_examen_session1_2		= explode("/",$dates_examen_session1[1]);
									$date_debut_examen_session1		= $dates_examen_session1_2[2].$dates_examen_session1_2[1].$dates_examen_session1[0];
									$date_fin_examen_session1		= $dates_examen_session1_2[2].$dates_examen_session1_2[1].$dates_examen_session1_2[0];

									$examen_session1			=  $date_debut_examen_session1;
								}
								else $examen_session1 = "Non renseigné";

								// Session 2

								if($examen_session2<>"")
								{
									$dates_examen_session2			= explode("-",$examen_session2);
									$dates_examen_session2_2		= explode("/",$dates_examen_session2[1]);
									$date_debut_examen_session2		= $dates_examen_session2_2[2].$dates_examen_session2_2[1].$dates_examen_session2[0];
									$date_fin_examen_session2		= $dates_examen_session2_2[2]."-".$dates_examen_session2_2[1]."-".$dates_examen_session1_2[0];

									$examen_session2			= $date_debut_examen_session2;
								}
								else $examen_session2 = "Non renseigné";

							// TYPE EXAMENS //////////////////////////////////////////////////////////////////////////////////////////

								if($examen_table <> 0)
								{
									//$examen_table		= '<img style="vertical-align:middle;" src="/site/img/css/icones/legendUe/doc.png" title="Examen (épreuve sur table)" alt="Examen (épreuve sur table)"/> Épreuve sur table';
									$examen_table	= 'Épreuve<br>sur table';
									$examen_dossier	= '';
								}
								elseif ($examen_dossier <> 0)
								{
									//$examen_dossier	= '<img style="float:left" src="/site/img/css/icones/legendUe/dir.png" title="Examen (dossier à rendre)" alt="Examen (dossier à rendre)"/> Dossier<br>';
									$examen_table	= '';
									$examen_dossier = 'Dossier<br>à rendre';
								}
								else
								{
									$examen_dossier		= '';
									$examen_table		= '';
								}
								
								if ($examen_oral==1)		$examen_oral = '<img style="vertical-align:middle;" src="/site/img/css/icones/legendUe/bubble.png" title="Examen (présentation orale)" alt="Examen (présentation orale)" /> Oral';
								else						$examen_oral = '';
						
						
						// ECRITURE LIGNE

						echo '
							<tr>
								<td class="align-left"><span class="red">'.$id_ue.'</span><br>'.$intitule.'</td>
								<td>'.$examen_session1.'</td>
								<td>'.$examen_session2.'</td>
								<td>'.$examen_table.$examen_dossier.$examen_oral.'</td>
							</tr>		
						';
					}
					echo "</table>";
				}
			}

			?>
		</div>
	</div>
				

<!-- 3 * PLANNINGS TÉLÉCHARGEABLES-->

	<div>
		<?php require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/back-button.php'); ?>
		<div class="tab-content">
			
			<div class="alert align-center"><span class="smaller">Le planning des examens est connu avec exactitude environ 2 mois avant le démarrage des épreuves.</span></div>
				
			
			<!-- Planning Formations générales session 1 -->
			<?php
			// Planning Session 1
			if (dbnumrows($sql_planning_examen_session_1) > 0)
			{
				?>
				<p class="liste"><a href="/site/docs/plannings/examens/general_session_1.xls"><img src="/site/img/css/icones/excel.png" alt="Version excel"/></a>
				<a href="/site/docs/plannings/examens/general_session_1.xls">Planning session 1<br><span>MAJ le <b><?php echo $date_maj_examen_session_1 ?></b></span></a></p>
				<?php
			}

			if (dbnumrows($sql_planning_examen_session_2) > 0)
			{
				?>

				<!-- Planning Formations générales session 2 -->
				<p class="liste"><a href="/site/docs/plannings/examens/general_session_2.xls"><img src="/site/img/css/icones/excel.png" alt="Version excel"/></a>
				<a href="/site/docs/plannings/examens/general_session_2.xls">Planning session 2<br><span>MAJ le <b><?php echo $date_maj_examen_session_2 ?></b></span></a></p>
				<?php
			}

			if (dbnumrows($sql_planning_examen_ICH_cycle_preparatoire) > 0)
			{
				?>

				<!-- Planning ICH préparatoire -->
				<p class="liste"><a href="/site/docs/plannings/examens/ICH_preparatoire.xls"><img src="/site/img/css/icones/excel.png" alt="Version excel"/></a>
				<a href="/site/docs/plannings/examens/ICH_preparatoire.xls">Planning ICH Cycle préparatoire</a><br><span>MAJ le <b><?php echo $date_maj_ich_preparatoire ?></b></span></p>
				<?php
			}

			if (dbnumrows($sql_planning_examen_ICH_cycle_normal) > 0)
			{
				?>

				<!-- Planning ICH -->
				<p class="liste"><a href="/site/docs/plannings/examens/ICH.xls"><img src="/site/img/css/icones/excel.png"/ alt="Version excel"></a>
				<a href="/site/docs/plannings/examens/ICH.xls">Planning ICH Cycle normal</a><br><span>MAJ le <b><?php echo $date_maj_ich ?></b></span></a></p>
				<?php
			}
			?>
		</div>
	</div>

<!-- 4 * RÉSULTATS -->

		<div>
			<?php require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/back-button.php'); ?>
			<div class="tab-content">
				<?php
				require($_SERVER['DOCUMENT_ROOT']."/base_adm/lib/lib.notes.inc.php");

				$sql_auditeur = dbquery("SELECT * FROM auditeurs_diplomes WHERE id='".$_SESSION["user"]["id"]."' ORDER BY annee_universitaire DESC");

				$_id_auditeur = Array();

				for($i=0;$i<dbnumrows($sql_auditeur);$i++)
				{
					$id			 = dbresult_utf8($sql_auditeur,$i,"id_auditeur");
					$id_diplome	 = dbresult_utf8($sql_auditeur,$i,"id_diplome");
					$date_inscription[$id]	= dbresult_utf8($sql_auditeur,$i,"date_inscription");

					$_id_auditeur[$id]=$id_diplome;
				}

				echo '<table>';

				if(dbnumrows($sql_auditeur)==0)
					echo "Aucun résultat";
				else
				{
					foreach($_id_auditeur as $key => $value){

						$sql_resultats_s1 = dbquery("SELECT * FROM resultats_examen
							WHERE id_auditeur = '".$key."'
								AND etat = 'P'
								AND session = '1'");
					
						$annee="";

						for($i=0;$i<dbnumrows($sql_resultats_s1);$i++)
						{

							// ---------
							// Session 1
							// ---------
							$id_ue					= dbresult_utf8($sql_resultats_s1,$i,"id_ue");
							$note_s1				= dbresult_utf8($sql_resultats_s1,$i,"note");
							$note_oral_s1			= dbresult_utf8($sql_resultats_s1,$i,"note_oral");
							//$note_c2i				= dbresult_utf8($sql_resultats_s1,$i,"note_c2i");
							$annee_universitaire_t	= dbresult_utf8($sql_resultats_s1,$i,"annee_universitaire");
							
							//if($note_c2i<>"")	$note = $note_c2i;


							// ---------
							// Session 2
							// ---------
							$sql_resultats_s1_s2 = dbquery("SELECT * FROM resultats_examen 
												WHERE id_auditeur = '".$key."'
													AND etat = 'P'
													AND session = '2'
													AND id_ue = '".$id_ue."'
													AND annee_universitaire = '".$annee_universitaire_t."' ");

							if(dbnumrows($sql_resultats_s1_s2)>0){
								$note_s2			= dbresult_utf8($sql_resultats_s1_s2,0,"note");
								$note_oral_s2		= dbresult_utf8($sql_resultats_s1_s2,0,"note_oral");
								$note_c2i_s2		= dbresult_utf8($sql_resultats_s1_s2,0,"note_c2i");
							}
							else{
								$note_s2			= "";
								$note_oral_s2		= "";
								$note_c2i_s2		= "";
							}

							// Test bulat
							if ($id_ue == 'TBU001' || $id_ue == 'UA2B10' || $id_ue == 'UA2B12' || $id_ue == 'UA2B14' || $id_ue == 'UA2B36' || $id_ue == 'UA3B24')
							{
								if ($note_s1 <> '') $note_s1 = "Niveau : ".$note_s1;
								if ($note_s2 <> '') $note_s2 = "Niveau : ".$note_s2;
							}

							
							//annee
							if($annee_universitaire_t<>$annee)
							{
								$annee = $annee_universitaire_t;

								// diplomes
								$sql_diplome = dbquery("SELECT * FROM diplomes WHERE id_diplome = '".$value."' ");
								
								$titre		= dbresult_utf8($sql_diplome,0,"titre");
								$specialite	= dbresult_utf8($sql_diplome,0,"specialite");
								
								if($value == 2001 )		$titre = "Unités d'enseignement hors diplômes";

								echo '
								</table>
								
								'.$annee_universitaire_t.'<br><br>
								<h2>'.$titre.'&nbsp&nbsp'.$specialite.'</h2>
								<span class="smaller">Numéro d\'auditeur : </span>
								<span class="red smaller">'.$key.'</span>
								&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp 
								<span class="smaller">Date d\'inscription : '.date_iso_fr($date_inscription[$key]).'</span>
								<br><br>
								
								<table style="margin-bottom:50px;">
									<tr class="align-center">
										<th class="align-left">Intitulé UE</th>
										<th style="width:12%">Note<br>session 1</th>
										<th style="width:12%">Note orale<br>session 1</th>
										<th style="width:12%">Note<br>session 2</th>
										<th style="width:12%">Note orale<br>session 2</th>
									</tr>';
							}

							$sql_ue		= dbquery("SELECT intitule FROM ue WHERE id_ue = '".$id_ue."'");
							$intitule	= dbresult_utf8($sql_ue,0,"intitule");

							echo '
								<tr class="align-center">
									<td class="align-left"><span class="red">'.$id_ue.'</span><br>'.$intitule.'</td>
									<td>'.$note_s1.'</td>
									<td>'.$note_oral_s1.'</td>
									<td>'.$note_s2.'</td>
									<td>'.$note_oral_s2.'</td>
								</tr>
							';

						}

						// -----------------------------------------
						// C2i : Certificat informatique et internet
						// -----------------------------------------
						$sql_is_inscrit_C2i = dbquery("SELECT * FROM auditeurs_ue 
												WHERE id_auditeur = '".$id."'
													AND id_ue = 'C2i'
													AND annee_universitaire = '".$annee_universitaire_t."' ");

						if (dbnumrows($sql_is_inscrit_C2i) > 0)
							echo '<tr class="align-center">
									<td class="align-left">C2i / Certificat informatique et internet</td>
									<td>'.note($id,'C2i',1).'</td>
									<td></td>
									<td>'.note($id,'C2i',2).'</td>
									<td></td>
								</tr>';	
					}
					echo "</table>";
				}

				?>

			</div>
		</div>

<!-- 5 * RÈGLEMENT -->

		<div>
			<?ph
 require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/back-button.php'); ?>
			<div class="tab-content">
				<p class="liste">
				<iframe style="width:100%;height:450px" src="/site/docs/pdf/reglement_examen_auditeurs.pdf"></iframe>
			</div>

		</div>
</div>

<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/end.php');
?>